const browserGlobals = require('confusing-browser-globals');
const stylisticRules = require('./rules/stylistic');

module.exports = {
  extends: ['plugin:compat/recommended', 'plugin:security/recommended', 'prettier'],
  plugins: ['security'],
  env: {
    browser: true,
  },
  rules: {
    ...stylisticRules,
    'no-restricted-globals': ['error', ...browserGlobals],
  },
};
