const stylisticRules = require('./rules/stylistic');

module.exports = {
  parser: 'babel-eslint',
  extends: [
    'airbnb-base',
    'plugin:promise/recommended',
    'plugin:node/recommended',
    'plugin:security/recommended',
    'prettier',
  ],
  plugins: ['promise', 'sort-class-members', 'security'],
  parserOptions: {
    ecmaVersion: 2019,
    sourceType: 'module',
  },
  env: {
    node: true,
    es6: true,
  },
  rules: {
    ...stylisticRules,
  },
};
