// Bad: prefer-destructuring
function getFullNameBad(user) {
  const firstName = user.firstName;
  const lastName = user.lastName;
  return `${firstName} ${lastName}`;
}
getFullNameBad({ firstName: 'Ritchie', lastName: 'Zhu' });

// Good: prefer-destructuring
function getFullNameGood({ firstName, lastName }) {
  return `${firstName} ${lastName}`;
}
getFullNameGood({ firstName: 'Ritchie', lastName: 'Zhu' });
