const stylisticRules = require('./rules/stylistic');

module.exports = {
  parser: 'babel-eslint',
  extends: ['airbnb-base', 'plugin:promise/recommended', 'plugin:security/recommended', 'prettier'],
  plugins: ['promise', 'security'],
  parserOptions: {
    ecmaVersion: 2019,
    sourceType: 'module',
  },
  env: {
    es6: true,
  },
  globals: {
    wx: true,
    App: true,
    Page: true,
    Component: true,
    Behavior: true,
    getApp: true,
    getCurrentPages: true,
  },
  rules: {
    ...stylisticRules,
  },
};
